"""gargantext URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url
from django.contrib import admin
from django.views.generic.base          import RedirectView        as Redirect
from django.contrib.staticfiles.storage import staticfiles_storage as static
from rest_framework_jwt.views import obtain_jwt_token
from .tasks import dummy, fail, fail_random, simulate_work, workflow
from .views import projects_view, task_state, task_view

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^favicon.ico$', Redirect.as_view(url=static.url('favicon.ico'),
                                           permanent=False), name="favicon"),
    url(r'^api/auth/token$', obtain_jwt_token),
    url(r'^projects$', projects_view),
    url(r'^dummy$', task_view(dummy)),
    url(r'^fail$', task_view(fail)),
    url(r'^fail-random$', task_view(fail_random)),
    url(r'^simulate-work$', task_view(simulate_work)),
    url(r'^workflow$', task_view(workflow)),
    url(r'^task/([-0-9A-z]+)/?$', task_state)
]
